
From: Domen Puncer <domen@coderock.org>

Remove the `sf16fm=' kernel boot parameter.  Users must switch to
`radio-sf16fmi.io=' 

Signed-off-by: Marcel Sebek <sebek64@post.cz>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/Documentation/kernel-parameters.txt |    3 ---
 25-akpm/drivers/media/radio/radio-sf16fmi.c |   10 ----------
 2 files changed, 13 deletions(-)

diff -puN Documentation/kernel-parameters.txt~radio-sf16fmi-cleanup Documentation/kernel-parameters.txt
--- 25/Documentation/kernel-parameters.txt~radio-sf16fmi-cleanup	Sun Mar  6 16:42:47 2005
+++ 25-akpm/Documentation/kernel-parameters.txt	Sun Mar  6 16:42:47 2005
@@ -1185,9 +1185,6 @@ running once the system is up.
 
 	serialnumber	[BUGS=IA-32]
 
-	sf16fm=		[HW] SF16FMI radio driver for Linux
-			Format: <io>
-
 	sg_def_reserved_size=
 			[SCSI]
  
diff -puN drivers/media/radio/radio-sf16fmi.c~radio-sf16fmi-cleanup drivers/media/radio/radio-sf16fmi.c
--- 25/drivers/media/radio/radio-sf16fmi.c~radio-sf16fmi-cleanup	Sun Mar  6 16:42:47 2005
+++ 25-akpm/drivers/media/radio/radio-sf16fmi.c	Sun Mar  6 16:42:47 2005
@@ -326,13 +326,3 @@ static void __exit fmi_cleanup_module(vo
 
 module_init(fmi_init);
 module_exit(fmi_cleanup_module);
-
-#ifndef MODULE
-static int __init fmi_setup_io(char *str)
-{
-	get_option(&str, &io);
-	return 1;
-}
-
-__setup("sf16fm=", fmi_setup_io);
-#endif
_
